=== debian/changelog ===
deepin-settings-default (1.0.0) unstable; urgency=medium

  * Initial release

 -- April Lu <apr3vau@outlook.com>  Mon, 23 Jun 2025 12:04:00 +0800
