=== debian/rules ===
#! /usr/bin/make -f
ARCH := $(shell dpkg --print-architecture)
%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	rm -f files/desktop-version files/lsb-release files/os-version

ifeq ($(ARCH), sw_64)
	-rm -rf $(CURDIR)/debian/tmp/usr/share/deepin-default-settings/google-chrome
endif
